## libtk-img 1.4.5+dfsg

=== debian/changelog ===
libtk-img (1:1.4.5+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 09 Apr 2016 11:06:41 +0300

libtk-img (1:1.4.4~394-1) unstable; urgency=medium

  * New upstream SVN snapshot with many fixes and support for libpng 1.6
    (closes: #741894)
  * Bumped standards version to 3.9.7.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Apr 2016 08:42:04 +0300

=== debian/control ===
Source: libtk-img
Section: libs
Priority: optional
Maintainer: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
 zlib1g-dev (>= 1:1.2.1), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
Standards-Version: 3.9.7
Homepage: http://sourceforge.net/projects/tkimg/

Package: libtk-img
Section: libs
Architecture: any
Depends: libtk, ${shlibs:Depends}, ${misc:Depends}
Suggests: libtk-img-doc
Multi-Arch: same
Description: Extended image format support for Tcl/Tk (runtime)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes runtime libraries.

Package: libtk-img-dev
Section: libdevel
Architecture: any
Depends: tk-dev, libtk-img (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: Extended image format support for Tcl/Tk (development files)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes Tcl stub libraries and headers, which are necessary
 to develop C-based extensions using Img.

Package: libtk-img-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libtk-img
Conflicts: libtk-img (<< 1:1.3-release-6)
Replaces: libtk-img (<< 1:1.3-release-6)
Description: Extended image format support for Tcl/Tk (manual pages)
 Img is a package to enhance Tk by providing support for various image
 formats such as XPM, GIF (transparency supported, but not LZW), PNG,
 JPEG, TIFF, and PostScript.
 .
 The libimg library can be loaded dynamically into Tcl/Tk scripts to
 provide the image handling functions.
 .
 This package includes manual pages and examples.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

v=1.4.5
pkgdir=$(shell pwd)/debian/tmp
libdir=$(pkgdir)/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_clean:
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -rf libtiff/tcl/port
	rm -rf libtiff/tcl/man
	rm -rf libtiff/tcl/libtiff
	rm -f libjpeg/jconfig.h
	rm -f libtiff/tcl/tools/Makefile
	find . -name "*.so" | xargs rm -f
	find . -name "*.a" | xargs rm -f
	find . -name config.status | xargs rm -f
	find . -name config.log | xargs rm -f
	dh_clean

override_dh_auto_configure:
	cp /usr/include/$(DEB_HOST_MULTIARCH)/jconfig.h libjpeg/
	CFLAGS="$(CFLAGS)" \
	CPPFLAGS="$(CPPFLAGS)" \
	LDFLAGS="$(LDFLAGS)" \
	dh_auto_configure -- \
		--with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-tk=/usr/lib/$(DEB_HOST_MULTIARCH) \
		--with-tkinclude=/usr/include/tcl \
                --enable-threads

override_dh_auto_build:
	$(MAKE) TCL_INC_DIR=/usr/include/tcl/tcl-private/generic \
		TK_INC_DIR=/usr/include/tcl/tk-private/generic

override_dh_auto_install:
	$(MAKE) install INSTALL_ROOT=$(pkgdir)
	#
	# Fix file permissions
	find $(libdir) -type f | xargs chmod a-x
	#
	# Fix pkgIndex.tcl to prevent loading package to Tk 8.3 or older
	sed -i -e'1i\
	# Tcl package index file\
	#\
	# Return if Tcl/Tk is old.\
	#\
	if {[package vcompare [info tclversion] 8.5] < 0} return\
	' $(libdir)/Img*/pkgIndex.tcl
	#
	# Move library into tcltk subdirectory
	install -m 755 -d $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)
	mv $(libdir)/Img* $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)
	#
	# Fix *Config.sh
	DIR=`ls -d $(libdir)/../tcltk/$(DEB_HOST_MULTIARCH)/Img*` ; \
	PKGDIR=`basename $$DIR` ; \
	for f in $(libdir)/*Config.sh ; do \
	  sed -i -e "s:\(/[^/]*\)\+\([ /]\):/usr/lib/tcltk/$(DEB_HOST_MULTIARCH)/$$PKGDIR\2:" $$f || exit 1; \
	done
	#
	# Cleanup manpages
	(cd $(pkgdir)/usr/share/man/mann && \
	  for f in *.n ; do \
	    sed -e's/^\.TH \([^ ]\+\) n/.TH \1 3tk/' \
		-e's/\xc2\xad //' \
		$$f > `basename $$f .n`.3tk || exit 1; \
	  done)
	#
	# Rename img to img-intro since it's refered as img-intro
	mv $(pkgdir)/usr/share/man/mann/img.3tk $(pkgdir)/usr/share/man/mann/img-intro.3tk

override_dh_auto_test:
	# Disable tests because they require X

override_dh_fixperms-indep:
	dh_fixperms
	chmod a-x debian/libtk-img-doc/usr/share/doc/libtk-img-doc/examples/msgs/*

override_dh_compress:
	dh_compress -X.tcl

get-orig-source:
	CURDIR=`pwd` && TMPDIR=`mktemp -d /tmp/tkimg.XXXXXX` && \
	cd $$TMPDIR && \
	svn checkout svn://svn.code.sf.net/p/tkimg/code/tags/$(v) tkimg-$(v) && \
	rm -rf tkimg-$(v)/.svn && \
	rm -vf tkimg-$(v)/compat/zlib/contrib/dotzlib/*.chm && \
	tar -Jcf $$CURDIR/libtk-img_$(v)+dfsg.orig.tar.xz tkimg-$(v) && \
	rm -rf $$TMPDIR

.PHONY: override_dh_clean override_dh_auto_build override_dh_auto_install \
	override_dh_auto_test override_dh_fixperms-indep override_dh_compress get-orig-source

## libtk-img 1.4.6+dfsg

=== debian/changelog ===
libtk-img (1:1.4.6+dfsg-1+deb9u1) stretch; urgency=medium

  * Switch from the internal copies of Jpeg, Zlib and PixarLog codecs to the
    libtiff ones (closes: #931422).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Aug 2019 11:19:39 +0300

libtk-img (1:1.4.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bumped standards version to 3.9.8.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Jan 2017 11:24:03 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.1), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://sourceforge.net/projects/tkimg/
 
 Package: libtk-img

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/default.mk
 
-v=1.4.5
+v=1.4.6
 pkgdir=$(shell pwd)/debian/tmp
 libdir=$(pkgdir)/usr/lib/$(DEB_HOST_MULTIARCH)

## libtk-img 1.4.7%2Bdfsg

=== compat/libpng/CMakeLists.txt ===
# CMakeLists.txt

# Copyright (C) 2007,2009-2016 Glenn Randers-Pehrson
# Written by Christian Ehrlicher, 2007
# Revised by Roger Lowman, 2009-2010
# Revised by Clifford Yapp, 2011-2012
# Revised by Roger Leigh, 2016
# Revised by Andreas Franek, 2016

# This code is released under the libpng license.
# For conditions of distribution and use, see the disclaimer
# and license in png.h

cmake_minimum_required(VERSION 2.8.3)
cmake_policy(VERSION 2.8.3)

# Set MacOSX @rpath usage globally.
if (POLICY CMP0020)
  cmake_policy(SET CMP0020 NEW)
endif(POLICY CMP0020)
if (POLICY CMP0042)
  cmake_policy(SET CMP0042 NEW)
endif(POLICY CMP0042)
# Use new variable expansion policy.
if (POLICY CMP0053)
  cmake_policy(SET CMP0053 NEW)
endif(POLICY CMP0053)
if (POLICY CMP0054)
  cmake_policy(SET CMP0054 NEW)
endif(POLICY CMP0054)

set(CMAKE_CONFIGURATION_TYPES "Release;Debug;MinSizeRel;RelWithDebInfo")

project(libpng C)
enable_testing()

set(PNGLIB_MAJOR 1)
set(PNGLIB_MINOR 6)
set(PNGLIB_RELEASE 28)
set(PNGLIB_NAME libpng${PNGLIB_MAJOR}${PNGLIB_MINOR})
set(PNGLIB_VERSION ${PNGLIB_MAJOR}.${PNGLIB_MINOR}.${PNGLIB_RELEASE})

# needed packages

#Allow users to specify location of Zlib, 
# Useful if zlib is being built alongside this as a sub-project
option(PNG_BUILD_ZLIB "Custom zlib Location, else find_package is used" OFF)

IF(NOT PNG_BUILD_ZLIB)
  find_package(ZLIB REQUIRED)
  include_directories(${ZLIB_INCLUDE_DIR})
ENDIF(NOT PNG_BUILD_ZLIB)

if(NOT WIN32)
  find_library(M_LIBRARY
    NAMES m
    PATHS /usr/lib /usr/local/lib
  )
  if(NOT M_LIBRARY)
    message(STATUS "math lib 'libm' not found; floating point support disabled")
  endif()
else()
  # not needed on windows
  set(M_LIBRARY "")
endif()

# COMMAND LINE OPTIONS
option(PNG_SHARED "Build shared lib" ON)
option(PNG_STATIC "Build static lib" ON)
option(PNG_TESTS  "Build libpng tests" ON)

# Many more configuration options could be added here
option(PNG_FRAMEWORK "Build OS X framework" OFF)
option(PNG_DEBUG     "Build with debug output" OFF)
option(PNGARG        "Disable ANSI-C prototypes" OFF)

set(PNG_PREFIX "" CACHE STRING "Prefix to add to the API function names")
set(DFA_XTRA "" CACHE FILEPATH "File containing extra configuration settings")

# set definitions and sources for arm
if(${CMAKE_SYSTEM_PROCESSOR} MATCHES "^arm" OR
  ${CMAKE_SYSTEM_PROCESSOR} MATCHES "^aarch64")
  set(PNG_ARM_NEON_POSSIBLE_VALUES check on off)
  set(PNG_ARM_NEON "check" CACHE STRING "Enable ARM NEON optimizations:
     check: (default) use internal checking code;
     off: disable the optimizations;
     on: turn on unconditionally.")
  set_property(CACHE PNG_ARM_NEON PROPERTY STRINGS
     ${PNG_ARM_NEON_POSSIBLE_VALUES})
  list(FIND PNG_ARM_NEON_POSSIBLE_VALUES ${PNG_ARM_NEON} index)
  if(index EQUAL -1)
    message(FATAL_ERROR
      " PNG_ARM_NEON must be one of [${PNG_ARM_NEON_POSSIBLE_VALUES}]")
  elseif(NOT ${PNG_ARM_NEON} STREQUAL "no")
    set(libpng_arm_sources
      arm/arm_init.c
      arm/filter_neon.S
      arm/filter_neon_intrinsics.c)
      
    if(${PNG_ARM_NEON} STREQUAL "on")
      add_definitions(-DPNG_ARM_NEON_OPT=2)
    elseif(${PNG_ARM_NEON} STREQUAL "check")
      add_definitions(-DPNG_ARM_NEON_CHECK_SUPPORTED)
    endif()
  else()
    add_definitions(-DPNG_ARM_NEON_OPT=0)
  endif()
endif()

# SET LIBNAME
set(PNG_LIB_NAME png${PNGLIB_MAJOR}${PNGLIB_MINOR})

# to distinguish between debug and release lib
set(CMAKE_DEBUG_POSTFIX "d")

include(CheckCSourceCompiles)
option(ld-version-script "Enable linker version script" ON)
if(ld-version-script AND NOT APPLE)
  # Check if LD supports linker scripts.
  file(WRITE "${CMAKE_CURRENT_BINARY_DIR}/conftest.map" "VERS_1 {
        global: sym;
        local: *;
};

VERS_2 {
        global: sym2;
                main;
} VERS_1;
")
  set(CMAKE_REQUIRED_FLAGS_SAVE ${CMAKE_REQUIRED_FLAGS})
  set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS} "-Wl,--version-script='${CMAKE_CURRENT_BINARY_DIR}/conftest.map'")
  check_c_source_compiles("void sym(void) {}
void sym2(void) {}
int main(void) {return 0;}
" HAVE_LD_VERSION_SCRIPT)
  if(NOT HAVE_LD_VERSION_SCRIPT)
    set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS_SAVE} "-Wl,-M -Wl,${CMAKE_CURRENT_BINARY_DIR}/conftest.map")
  check_c_source_compiles("void sym(void) {}
void sym2(void) {}
int main(void) {return 0;}
" HAVE_SOLARIS_LD_VERSION_SCRIPT)
  endif()
  set(CMAKE_REQUIRED_FLAGS ${CMAKE_REQUIRED_FLAGS_SAVE})
  file(REMOVE "${CMAKE_CURRENT_BINARY_DIR}/conftest.map")
endif()

# Find symbol prefix.  Likely obsolete and unnecessary with recent
# toolchains (it's not done in many other projects).
function(symbol_prefix)
  set(SYMBOL_PREFIX)

  execute_process(COMMAND "${CMAKE_C_COMPILER}" "-E" "-"
                  INPUT_FILE /dev/null
                  OUTPUT_VARIABLE OUT
                  RESULT_VARIABLE STATUS)

  if(CPP_FAIL)
    message(WARNING "Failed to run the C preprocessor")
  endif()

  string(REPLACE "\n" ";" OUT "${OUT}")
  foreach(line ${OUT})
    string(REGEX MATCH "^PREFIX=" found_match "${line}")
    if(found_match)
      STRING(REGEX REPLACE "^PREFIX=(.*\)" "\\1" prefix "${line}")
      string(REGEX MATCH "__USER_LABEL_PREFIX__" found_match "${prefix}")
      if(found_match)
        STRING(REGEX REPLACE "(.*)__USER_LABEL_PREFIX__(.*)" "\\1\\2" prefix "${prefix}")
      endif()
      set(SYMBOL_PREFIX "${prefix}")
    endif()
  endforeach()

    message(STATUS "Symbol prefix: ${SYMBOL_PREFIX}")
    set(SYMBOL_PREFIX "${SYMBOL_PREFIX}" PARENT_SCOPE)
endfunction()

if(UNIX)
  symbol_prefix()
endif()

find_program(AWK NAMES gawk awk)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

if(NOT AWK)
  # No awk available to generate sources; use pre-built pnglibconf.h
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.h.prebuilt
                 ${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h)
  add_custom_target(genfiles) # Dummy
else()
  include(CMakeParseArguments)
  # Generate .chk from .out with awk
  # generate_chk(INPUT inputfile OUTPUT outputfile [DEPENDS dep1 [dep2...]])
  function(generate_chk)
    set(options)
    set(oneValueArgs INPUT OUTPUT)
    set(multiValueArgs DEPENDS)
    cmake_parse_arguments(_GC "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if (NOT _GC_INPUT)
      message(FATAL_ERROR "Invalid arguments.  generate_out requires input.")
    endif()
    if (NOT _GC_OUTPUT)
      message(FATAL_ERROR "Invalid arguments.  generate_out requires output.")
    endif()

    add_custom_command(OUTPUT "${_GC_OUTPUT}"
                       COMMAND "${CMAKE_COMMAND}"
                               "-DINPUT=${_GC_INPUT}"
                               "-DOUTPUT=${_GC_OUTPUT}"
                               -P "${CMAKE_CURRENT_BINARY_DIR}/scripts/genchk.cmake"
                       DEPENDS "${_GC_INPUT}" ${_GC_DEPENDS}
                       WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
  endfunction()

  # Generate .out from .c with awk
  # generate_out(INPUT inputfile OUTPUT outputfile [DEPENDS dep1 [dep2...]])
  function(generate_out)
    set(options)
    set(oneValueArgs INPUT OUTPUT)
    set(multiValueArgs DEPENDS)
    cmake_parse_arguments(_GO "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if (NOT _GO_INPUT)
      message(FATAL_ERROR "Invalid arguments.  generate_out requires input.")
    endif()
    if (NOT _GO_OUTPUT)
      message(FATAL_ERROR "Invalid arguments.  generate_out requires output.")
    endif()

    add_custom_command(OUTPUT "${_GO_OUTPUT}"
                       COMMAND "${CMAKE_COMMAND}"
                               "-DINPUT=${_GO_INPUT}"
                               "-DOUTPUT=${_GO_OUTPUT}"
                               -P "${CMAKE_CURRENT_BINARY_DIR}/scripts/genout.cmake"
                       DEPENDS "${_GO_INPUT}" ${_GO_DEPENDS}
                       WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
  endfunction()

  # Generate specific source file with awk
  # generate_source(OUTPUT outputfile [DEPENDS dep1 [dep2...]])
  function(generate_source)
    set(options)
    set(oneValueArgs OUTPUT)
    set(multiValueArgs DEPENDS)
    cmake_parse_arguments(_GSO "${options}" "${oneValueArgs}" "${multiValueArgs}" ${ARGN})
    if (NOT _GSO_OUTPUT)
      message(FATAL_ERROR "Invalid arguments.  generate_source requires output.")
    endif()

    add_custom_command(OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/${_GSO_OUTPUT}"
                       COMMAND "${CMAKE_COMMAND}"
                               "-DOUTPUT=${_GSO_OUTPUT}"
                               -P "${CMAKE_CURRENT_BINARY_DIR}/scripts/gensrc.cmake"
                       DEPENDS ${_GSO_DEPENDS}
                       WORKING_DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}")
  endfunction()

  # Copy file
  function(generate_copy source destination)
    add_custom_command(OUTPUT "${destination}"
                       COMMAND "${CMAKE_COMMAND}" -E remove "${destination}"
                       COMMAND "${CMAKE_COMMAND}" -E copy "${source}"
                                                          "${destination}"
                       DEPENDS "${source}")
  endfunction()

  # Generate scripts/pnglibconf.h
  generate_source(OUTPUT "scripts/pnglibconf.c"
                  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.dfa"
                          "${CMAKE_CURRENT_SOURCE_DIR}/scripts/options.awk"
                          "${CMAKE_CURRENT_SOURCE_DIR}/pngconf.h")

  # Generate pnglibconf.c
  generate_source(OUTPUT "pnglibconf.c"
                  DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.dfa"
                          "${CMAKE_CURRENT_SOURCE_DIR}/scripts/options.awk"
                          "${CMAKE_CURRENT_SOURCE_DIR}/pngconf.h")

  if(PNG_PREFIX)
    set(PNGLIBCONF_H_EXTRA_DEPENDS
        "${CMAKE_CURRENT_BINARY_DIR}/scripts/prefix.out"
        "${CMAKE_CURRENT_SOURCE_DIR}/scripts/macro.lst")
    set(PNGPREFIX_H_EXTRA_DEPENDS
        "${CMAKE_CURRENT_BINARY_DIR}/scripts/intprefix.out")
  endif()

  generate_out(INPUT "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.out")

  # Generate pnglibconf.h
  generate_source(OUTPUT "pnglibconf.h"
                  DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.out"
                          ${PNGLIBCONF_H_EXTRA_DEPENDS})

  generate_out(INPUT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/intprefix.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/intprefix.out"
               DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h")

  generate_out(INPUT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/prefix.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/prefix.out"
               DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/png.h"
                       "${CMAKE_CURRENT_SOURCE_DIR}/pngconf.h"
                       "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.out")

  # Generate pngprefix.h
  generate_source(OUTPUT "pngprefix.h"
                  DEPENDS ${PNGPREFIX_H_EXTRA_DEPENDS})

  generate_out(INPUT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/sym.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/sym.out"
               DEPENDS "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h")

  generate_out(INPUT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/symbols.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/symbols.out"
               DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/png.h"
                       "${CMAKE_CURRENT_SOURCE_DIR}/pngconf.h"
                       "${CMAKE_CURRENT_SOURCE_DIR}/scripts/pnglibconf.h.prebuilt")

  generate_out(INPUT "${CMAKE_CURRENT_SOURCE_DIR}/scripts/vers.c"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/vers.out"
               DEPENDS "${CMAKE_CURRENT_SOURCE_DIR}/png.h"
                       "${CMAKE_CURRENT_SOURCE_DIR}/pngconf.h"
                       "${CMAKE_CURRENT_BINARY_DIR}/pnglibconf.h")

  generate_chk(INPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/symbols.out"
               OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/scripts/symbols.chk"

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 9.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
+Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.1), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://sourceforge.net/projects/tkimg/
 
 Package: libtk-img

## libtk-img 1.4.7+dfsg

=== compat/libtiff/contrib/addtiffo/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# contrib/addtiffo/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2004, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# Process this file with automake to produce Makefile.in.

srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/tiff
pkglibdir = $(libdir)/tiff
pkgincludedir = $(includedir)/tiff
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
noinst_PROGRAMS = addtiffo$(EXEEXT)
subdir = contrib/addtiffo
DIST_COMMON = README $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/libtiff/tif_config.h \
	$(top_builddir)/libtiff/tiffconf.h
CONFIG_CLEAN_FILES =
PROGRAMS = $(noinst_PROGRAMS)
am_addtiffo_OBJECTS = addtiffo.$(OBJEXT) tif_overview.$(OBJEXT) \
	tif_ovrcache.$(OBJEXT)
addtiffo_OBJECTS = $(am_addtiffo_OBJECTS)
am__DEPENDENCIES_1 = $(top_builddir)/libtiff/libtiff.la
addtiffo_DEPENDENCIES = $(am__DEPENDENCIES_1)
DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/libtiff -I$(top_builddir)/libtiff
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
CCLD = $(CC)
LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
SOURCES = $(addtiffo_SOURCES)
DIST_SOURCES = $(addtiffo_SOURCES)
ETAGS = etags
CTAGS = ctags
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run autoconf
AUTOHEADER = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run autoheader
AUTOMAKE = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run automake-1.9
AWK = nawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -Wall -W
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
FGREP = grep -F
GLUT_CFLAGS = 
GLUT_LIBS = 
GLU_CFLAGS = -pthread
GLU_LIBS = -lGLU -lGL -L/usr/X11R6/lib -lX11  -lm
GL_CFLAGS = -pthread
GL_LIBS = -lGL -L/usr/X11R6/lib -lX11  -lm
GREP = grep
HAVE_CXX_FALSE = #
HAVE_CXX_TRUE = 
HAVE_OPENGL_FALSE = 
HAVE_OPENGL_TRUE = #
HAVE_RPATH_FALSE = 
HAVE_RPATH_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBDIR = 
LIBOBJS = 
LIBS = -ljpeg -lz -lm -lc 
LIBTIFF_ALPHA_VERSION = 
LIBTIFF_DOCDIR = ${prefix}/share/doc/tiff-3.8.2
LIBTIFF_MAJOR_VERSION = 3
LIBTIFF_MICRO_VERSION = 2
LIBTIFF_MINOR_VERSION = 8
LIBTIFF_RELEASE_DATE = 20060718
LIBTIFF_VERSION = 3.8.2
LIBTIFF_VERSION_INFO = 3:8:2
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run makeinfo
NM = /usr/bin/nm -B
OBJDUMP = objdump
OBJEXT = o
PACKAGE = tiff
PACKAGE_BUGREPORT = tiff@lists.maptools.org
PACKAGE_NAME = LibTIFF Software
PACKAGE_STRING = LibTIFF Software 3.8.2
PACKAGE_TARNAME = tiff
PACKAGE_VERSION = 3.8.2
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.8.2
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = 
ac_ct_DUMPBIN = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
acx_pthread_config = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = #
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/nijtmanj
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
LIBTIFF = $(top_builddir)/libtiff/libtiff.la
EXTRA_DIST = README Makefile.vc
addtiffo_SOURCES = addtiffo.c tif_overview.c tif_ovrcache.c tif_ovrcache.h
addtiffo_LDADD = $(LIBTIFF)
INCLUDES = -I$(top_srcdir)/libtiff
all: all-am

.SUFFIXES:
.SUFFIXES: .c .lo .o .obj
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  contrib/addtiffo/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  contrib/addtiffo/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

clean-noinstPROGRAMS:
	@list='$(noinst_PROGRAMS)'; for p in $$list; do \
	  f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
	  echo " rm -f $$p $$f"; \
	  rm -f $$p $$f ; \
	done
addtiffo$(EXEEXT): $(addtiffo_OBJECTS) $(addtiffo_DEPENDENCIES) 
	@rm -f addtiffo$(EXEEXT)
	$(LINK) $(addtiffo_LDFLAGS) $(addtiffo_OBJECTS) $(addtiffo_LDADD) $(LIBS)

mostlyclean-compile:
	-rm -f *.$(OBJEXT)

distclean-compile:
	-rm -f *.tab.c

# ./$(DEPDIR)/addtiffo.Po
# ./$(DEPDIR)/tif_overview.Po
# ./$(DEPDIR)/tif_ovrcache.Po

.c.o:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
	source='$<' object='$@' libtool=no \
	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c $<

.c.obj:
#	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
	source='$<' object='$@' libtool=no \
	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
	$(COMPILE) -c `$(CYGPATH_W) '$<'`

.c.lo:
#	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
#	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
	source='$<' object='$@' libtool=yes \
	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) \
	$(LTCOMPILE) -c -o $@ $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique
tags: TAGS

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
	  test -n "$$unique" || unique=$$empty_fix; \
	  $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	    $$tags $$unique; \
	fi
ctags: CTAGS
CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(CTAGS_ARGS)$$tags$$unique" \
	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \

=== debian/changelog ===
libtk-img (1:1.4.7+dfsg-3) unstable; urgency=medium

  * Remove the patch which downgraded the required zlib version. Increase
    zlib1g-dev version to 1:1.2.11 in build dependencies.
  * Fix the debian/watch uscan script.
  * Turn debian/copyright into a machine readable form, use it to repack the
    upstream tarball on downloading.
  * Add the new VCS headers.
  * Bump standards version to 4.1.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 28 Apr 2018 12:13:11 +0300

libtk-img (1:1.4.7+dfsg-2) unstable; urgency=medium

  * Downgrade the required zlib version to 1.2.8 (closes: #888890).
  * Clarify descriptions for patches in debian/patches/*.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 31 Jan 2018 11:46:35 +0300

libtk-img (1:1.4.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump debhelper compatibility version to 10.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 28 Jan 2018 22:58:15 +0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,11 @@
 Priority: optional
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
- zlib1g-dev (>= 1:1.2.1), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 4.1.3
+ zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
+Standards-Version: 4.1.4
 Homepage: http://sourceforge.net/projects/tkimg/
+Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
+Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git
 
 Package: libtk-img
 Section: libs

## libtk-img 1.4.8+dfsg

=== compat/libtiff/contrib/acorn/Makefile ===
# Makefile.in generated by automake 1.9.6 from Makefile.am.
# contrib/acorn/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
# 2003, 2004, 2005  Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# Tag Image File Format (TIFF) Software
#
# Copyright (C) 2004, Andrey Kiselev <dron@ak4719.spb.edu>
#
# Permission to use, copy, modify, distribute, and sell this software and 
# its documentation for any purpose is hereby granted without fee, provided
# that (i) the above copyright notices and this permission notice appear in
# all copies of the software and related documentation, and (ii) the names of
# Sam Leffler and Silicon Graphics may not be used in any advertising or
# publicity relating to the software without the specific, prior written
# permission of Sam Leffler and Silicon Graphics.
# 
# THE SOFTWARE IS PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, 
# EXPRESS, IMPLIED OR OTHERWISE, INCLUDING WITHOUT LIMITATION, ANY 
# WARRANTY OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE.  
# 
# IN NO EVENT SHALL SAM LEFFLER OR SILICON GRAPHICS BE LIABLE FOR
# ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES OF ANY KIND,
# OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS,
# WHETHER OR NOT ADVISED OF THE POSSIBILITY OF DAMAGE, AND ON ANY THEORY OF 
# LIABILITY, ARISING OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE 
# OF THIS SOFTWARE.

# Process this file with automake to produce Makefile.in.
srcdir = .
top_srcdir = ../..

pkgdatadir = $(datadir)/tiff
pkglibdir = $(libdir)/tiff
pkgincludedir = $(includedir)/tiff
top_builddir = ../..
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu
target_triplet = i686-pc-linux-gnu
subdir = contrib/acorn
DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/acinclude.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/libtiff/tif_config.h \
	$(top_builddir)/libtiff/tiffconf.h
CONFIG_CLEAN_FILES =
SOURCES =
DIST_SOURCES =
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run aclocal-1.9
AMDEP_FALSE = #
AMDEP_TRUE = 
AMTAR = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run tar
AR = ar
AS = as
AUTOCONF = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run autoconf
AUTOHEADER = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run autoheader
AUTOMAKE = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run automake-1.9
AWK = nawk
CC = gcc
CCDEPMODE = depmode=none
CFLAGS = -g -O2 -Wall -W
CPP = gcc -E
CPPFLAGS = 
CXX = g++
CXXCPP = g++ -E
CXXDEPMODE = depmode=none
CXXFLAGS = -g -O2
CYGPATH_W = echo
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = dlltool
DUMPBIN = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = grep -E
EXEEXT = 
FGREP = grep -F
GLUT_CFLAGS = 
GLUT_LIBS = 
GLU_CFLAGS = -pthread
GLU_LIBS = -lGLU -lGL -L/usr/X11R6/lib -lX11  -lm
GL_CFLAGS = -pthread
GL_LIBS = -lGL -L/usr/X11R6/lib -lX11  -lm
GREP = grep
HAVE_CXX_FALSE = #
HAVE_CXX_TRUE = 
HAVE_OPENGL_FALSE = 
HAVE_OPENGL_TRUE = #
HAVE_RPATH_FALSE = 
HAVE_RPATH_TRUE = #
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LD = /usr/bin/ld
LDFLAGS = 
LIBDIR = 
LIBOBJS = 
LIBS = -ljpeg -lz -lm -lc 
LIBTIFF_ALPHA_VERSION = 
LIBTIFF_DOCDIR = ${prefix}/share/doc/tiff-3.8.2
LIBTIFF_MAJOR_VERSION = 3
LIBTIFF_MICRO_VERSION = 2
LIBTIFF_MINOR_VERSION = 8
LIBTIFF_RELEASE_DATE = 20060718
LIBTIFF_VERSION = 3.8.2
LIBTIFF_VERSION_INFO = 3:8:2
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
LTLIBOBJS = 
MAINT = #
MAINTAINER_MODE_FALSE = 
MAINTAINER_MODE_TRUE = #
MAKEINFO = ${SHELL} /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/missing --run makeinfo
NM = /usr/bin/nm -B
OBJDUMP = objdump
OBJEXT = o
PACKAGE = tiff
PACKAGE_BUGREPORT = tiff@lists.maptools.org
PACKAGE_NAME = LibTIFF Software
PACKAGE_STRING = LibTIFF Software 3.8.2
PACKAGE_TARNAME = tiff
PACKAGE_VERSION = 3.8.2
PATH_SEPARATOR = :
PTHREAD_CC = gcc
PTHREAD_CFLAGS = -pthread
PTHREAD_LIBS = 
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/sh
STRIP = strip
VERSION = 3.8.2
X_CFLAGS = 
X_EXTRA_LIBS = 
X_LIBS =  -L/usr/X11R6/lib
X_PRE_LIBS =  -lSM -lICE
ac_ct_AR = ar
ac_ct_AS = 
ac_ct_CC = gcc
ac_ct_CXX = g++
ac_ct_DLLTOOL = 
ac_ct_DUMPBIN = 
ac_ct_OBJDUMP = 
ac_ct_RANLIB = ranlib
ac_ct_STRIP = strip
acx_pthread_config = 
am__fastdepCC_FALSE = 
am__fastdepCC_TRUE = #
am__fastdepCXX_FALSE = 
am__fastdepCXX_TRUE = #
am__include = #
am__leading_dot = .
am__quote = 
am__tar = ${AMTAR} chof - "$$tardir"
am__untar = ${AMTAR} xf -
bindir = ${exec_prefix}/bin
build = i686-pc-linux-gnu
build_alias = 
build_cpu = i686
build_os = linux-gnu
build_vendor = pc
datadir = ${prefix}/share
exec_prefix = ${prefix}
host = i686-pc-linux-gnu
host_alias = 
host_cpu = i686
host_os = linux-gnu
host_vendor = pc
includedir = ${prefix}/include
infodir = ${prefix}/info
install_sh = /project/bdj/nijtmanj/tcl/tkimg1.3.1/libtiff/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localstatedir = ${prefix}/var
lt_ECHO = echo
mandir = ${prefix}/man
mkdir_p = mkdir -p --
oldincludedir = /usr/include
prefix = /home/nijtmanj
program_transform_name = s,x,x,
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
sysconfdir = ${prefix}/etc
target = i686-pc-linux-gnu
target_alias = 
target_cpu = i686
target_os = linux-gnu
target_vendor = pc
EXTRA_DIST = Makefile.acorn ReadMe SetVars cleanlib convert install
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
		&& exit 0; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign  contrib/acorn/Makefile'; \
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --foreign  contrib/acorn/Makefile
.PRECIOUS: Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure: # $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4): # $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
tags: TAGS
TAGS:

ctags: CTAGS
CTAGS:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
	list='$(DISTFILES)'; for file in $$list; do \
	  case $$file in \
	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
	  esac; \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkdir_p) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile
installdirs:
install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am
	-rm -f Makefile
distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

html: html-am

info: info-am

info-am:

install-data-am:

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am
	-rm -f Makefile
maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

pdf: pdf-am

pdf-am:

ps: ps-am

ps-am:

uninstall-am: uninstall-info-am

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am html html-am info info-am install install-am \
	install-data install-data-am install-exec install-exec-am \
	install-info install-info-am install-man install-strip \
	installcheck installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool pdf pdf-am ps ps-am uninstall uninstall-am \
	uninstall-info-am

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/changelog ===
libtk-img (1:1.4.8+dfsg-1+deb10u1) buster; urgency=medium

  * Switch from the internal copies of Jpeg, Zlib and PixarLog codecs to the
    libtiff ones (closes: #931422).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 21 Aug 2019 11:02:21 +0300

libtk-img (1:1.4.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.3.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 07 Feb 2019 14:11:34 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: http://sourceforge.net/projects/tkimg/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
 Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git

=== debian/watch ===
# Watch control file for uscan

# Compulsory line, this is a version 3 file
version=3

opts="dversionmangle=s/\+dfsg$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
    http://sf.net/tkimg/(?:tkimg|Img-Source-)([\d.]*).tar.gz

## libtk-img 1.4.9%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://sourceforge.net/projects/tkimg/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
 Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git
@@ -45,6 +45,7 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Suggests: libtk-img
 Conflicts: libtk-img (<< 1:1.3-release-6)
 Replaces: libtk-img (<< 1:1.3-release-6)

## libtk-img 1.4.9+dfsg

=== debian/changelog ===
libtk-img (1:1.4.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Mark the libtk-img-doc package as multi-arch foreign.
  * Bump standards version to 4.4.0.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Jul 2019 10:58:53 +0300

libtk-img (1:1.4.8+dfsg-2) unstable; urgency=medium

  * Switch from the internal copies of Jpeg, Zlib and PixarLog codecs to the
    libtiff ones (closes: #931422).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 10 Jul 2019 14:27:06 +0300

## libtk-img 1.4.11+dfsg

=== debian/changelog ===
libtk-img (1:1.4.11+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 16 May 2020 09:49:49 +0300

libtk-img (1:1.4.10+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.5.0.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 05 May 2020 11:37:07 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), dpkg-dev (>=1.16.1~), tk-dev (>= 8.5.0), tcllib,
  zlib1g-dev (>= 1:1.2.11), libjpeg-dev, libpng-dev (>= 1.6), libtiff-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Homepage: http://sourceforge.net/projects/tkimg/
 Vcs-Browser: https://salsa.debian.org/tcltk-team/libtk-img
 Vcs-Git: https://salsa.debian.org/tcltk-team/libtk-img.git
